> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Websockets Token

> An authentication token must be requested via this REST API endpoint in order to connect to and authenticate with our [Websockets API](https://docs.kraken.com). The token should be used within 15 minutes of creation, but it does not expire once a successful Websockets connection and private subscription has been made and is maintained.

> The 'Access WebSockets API' permission must be enabled for the API key in order to generate the authentication token.




## OpenAPI

````yaml Crypto post /getWebSocketsAuth
openapi: 3.0.1
info:
  title: Crypto
  description: crypto
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/crypto
security:
  - apikeyAuth: []
tags:
  - name: public
  - name: private
paths:
  /getWebSocketsAuth:
    post:
      tags:
        - private
      summary: Get Websockets Token
      description: >
        An authentication token must be requested via this REST API endpoint in
        order to connect to and authenticate with our [Websockets
        API](https://docs.kraken.com). The token should be used within 15
        minutes of creation, but it does not expire once a successful Websockets
        connection and private subscription has been made and is maintained.


        > The 'Access WebSockets API' permission must be enabled for the API key
        in order to generate the authentication token.
      parameters:
        - name: tenantId
          in: header
          description: Tenant/Owner id
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                error: []
                result:
                  token: 1Dwc4lzSwNWOAwkMdqhssNNFhs1ed606d1WcF3XfEMw
                  expires: 900
      security:
        - noauthAuth: []
        - default: []
components:
  securitySchemes:
    apikeyAuth:
      type: http
      scheme: apikey
    noauthAuth:
      type: http
      scheme: noauth
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````